summaryrefslogtreecommitdiffstats
path: root/source/a/mt-st/mt-st.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/mt-st/mt-st.SlackBuild')
-rwxr-xr-xsource/a/mt-st/mt-st.SlackBuild49
1 files changed, 34 insertions, 15 deletions
diff --git a/source/a/mt-st/mt-st.SlackBuild b/source/a/mt-st/mt-st.SlackBuild
index a906438df..a1c23714e 100755
--- a/source/a/mt-st/mt-st.SlackBuild
+++ b/source/a/mt-st/mt-st.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,21 +20,44 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=${VERSION:-0.9b}
+PKGNAM=mt-st
+VERSION=${VERSION:-1.3}
BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-mt-st
@@ -43,13 +66,9 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf mt-st-$VERSION
-tar xzvf $CWD/mt-st-$VERSION.tar.gz
+tar xvf $CWD/mt-st-$VERSION.tar.xz
cd mt-st-$VERSION
-zcat $CWD/mt-st.config.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/mt-st.man.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/mt-st.sdlt.diff.gz | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -57,17 +76,17 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-sed -i -e 's#<linux/qic117.h>#"qic117.h"#' mtio.h || exit 1
-make || exit 1
+make CFLAGS="-Wall $SLKCFLAGS" || exit 1
-strip mt stinit
mkdir -p $PKG/bin
cat mt > $PKG/bin/mt-st
chmod 755 $PKG/bin/mt-st
-( cd $PKG/bin ; ln -sf mt-st mt )
+ln -sf mt-st $PKG/bin/mt
+
mkdir -p $PKG/sbin
cat stinit > $PKG/sbin/stinit
chmod 755 $PKG/sbin/stinit
+
mkdir -p $PKG/usr/man/man{1,8}
cat mt.1 | gzip -9c > $PKG/usr/man/man1/mt-st.1.gz
cat stinit.8 | gzip -9c > $PKG/usr/man/man8/stinit.8.gz
@@ -87,5 +106,5 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
# Build the package:
cd $PKG
-makepkg -l y -c n $TMP/mt-st-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/mt-st-$VERSION-$ARCH-$BUILD.txz